

# Set up environment for running mvn (Maven)

if [ ! -d apache-maven-3.0.4 ] ; then
  echo ""
  echo "*****"
  echo "* Untarring apache-maven binary distribution"
  echo "*****"
  echo ""

  tar xvzf apache-maven-3.0.4-bin.tar.gz
fi

cd apache-maven-3.0.4
export MAVEN_HOME=`pwd`
export PATH=$MAVEN_HOME/bin:$PATH
cd ..

echo "+ Set up for i-greenstone-server"
echo "++ Set MAVEN_HOME: $MAVEN_HOME and added to PATH"


if [ "x$JAVA_HOME" = "x" ] ; then
  export JAVA_HOME=/cygdrive/c/Program\ Files/Java/jdk1.6.0_38
  export PATH=$JAVA_HOME/bin:$PATH
  echo "++ Set JAVA_HOME: $JAVA_HOME and added to PATH"
fi

# Regular environment variable used to locate Android SDK

export ANDROID_SDK_HOME=/cygdrive/c/android/android-sdk-windows/
export PATH=$ANDROID_SDK_HOME/platform-tools:$PATH
echo "++ set ANDROID_SDK_HOME: $ANDROID_SDK_HOME and updated PATH for platform-tools"


# used by Maven
export ANDROID_HOME=`cygpath -w $ANDROID_SDK_HOME`

echo "++ set ANDROID_HOME=$ANDROID_HOME (os specific, for maven)"
echo 
echo "+++ *****"
echo "+++ To compile i-greenstone-server, type: "
echo "+++   cd i-jetty-3.1 && mvn install && cd .."
echo "+++ *****"
